﻿/**
 * @file
 * VuoCompilerGeneratorPort interface.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This interface description may be modified and distributed under the terms of the GNU Lesser General Public License (LGPL) version 2 or later.
 * For more information, see http://vuo.org/license.
 */

#ifndef VUOCOMPILERGENERATORPORT_H
#define VUOCOMPILERGENERATORPORT_H

#include "VuoCompilerPort.hh"
#include "VuoCompilerGeneratorPortClass.hh"


/**
 * A generator output port.
 *
 * \see{VuoCompilerGeneratorPortClass}
 */
class VuoCompilerGeneratorPort : public VuoCompilerPort
{
private:
	Function *function;

public:
	VuoCompilerGeneratorPort(VuoPort * basePort);
	void generateAllocation(Module *module, string nodeInstanceIdentifier);
	LoadInst * generateLoad(BasicBlock *block);
	StoreInst * generateStore(Value *value, BasicBlock *block);
	void setFunction(Function *function);
	Function * getFunction(void);
	VuoCompilerGeneratorPortClass * getClass(void);
};


#endif
