﻿/**
 * @file
 * VuoCompilerGeneratorPortClass interface.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This interface description may be modified and distributed under the terms of the GNU Lesser General Public License (LGPL) version 2 or later.
 * For more information, see http://vuo.org/license.
 */

#ifndef VUOCOMPILERGENERATORPORTCLASS_H
#define VUOCOMPILERGENERATORPORTCLASS_H

#include "VuoCompilerPortClass.hh"

/**
 * A generator output port type.
 *
 * \see{VuoCompilerGeneratorPort}
 */
class VuoCompilerGeneratorPortClass : public VuoCompilerPortClass
{
private:
	VuoType *vuoType;

public:
	VuoCompilerGeneratorPortClass(string name, PointerType *type);
	VuoCompilerPort * newPort(void);
	FunctionType * getFunctionType(void);
	VuoType * getDataVuoType(void);
	void setDataVuoType(VuoType *type);
};

#endif
