/**
 * @file
 * VuoCompilerPublishedInputPort interface.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This interface description may be modified and distributed under the terms of the GNU Lesser General Public License (LGPL) version 2 or later.
 * For more information, see http://vuo.org/license.
 */

#ifndef VUOCOMPILERPUBLISHEDINPUTPORT_HH
#define VUOCOMPILERPUBLISHEDINPUTPORT_HH

#include "VuoCompilerPublishedPort.hh"
#include "VuoCompilerGeneratorPort.hh"

/**
 * A published input port.
 */
class VuoCompilerPublishedInputPort : public VuoCompilerPublishedPort
{
private:
	VuoCompilerGeneratorPort *generatorPort;

public:
	VuoCompilerPublishedInputPort(string name, const set<VuoCompilerData *> &connectedDatas, VuoCompilerGeneratorPort *generatorPort);

	VuoCompilerGeneratorPort * getGeneratorPort(void);
};

#endif // VUOCOMPILERPUBLISHEDINPUTPORT_HH
