/**
 * @file
 * VuoPoint2d C type definition.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#ifndef VUOPOINT2D_H
#define VUOPOINT2D_H

/**
 * @ingroup VuoTypes
 * @defgroup VuoPoint2d VuoPoint2d
 * A floating-point 2-dimensional Cartesian spatial location.
 *
 * @{
 */

/**
 * A floating-point 2-dimensional Cartesian spatial location.
 */
typedef struct
{
	float x,y;
} VuoPoint2d;

VuoPoint2d VuoPoint2d_valueFromString(const char * initializer);
char * VuoPoint2d_stringFromValue(const VuoPoint2d value);
char * VuoPoint2d_summaryFromValue(const VuoPoint2d value);

/**
 * @}
 */

#endif
