/**
 * @file
 * VuoRendererDrawer interface.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This interface description may be modified and distributed under the terms of the GNU Lesser General Public License (LGPL) version 2 or later.
 * For more information, see http://vuo.org/license.
 */

#ifndef VUORENDERERDRAWER_HH
#define VUORENDERERDRAWER_HH

#include <vector>
using namespace std;

class VuoRendererPort;

/**
 * Represents a node port's drawer.
 */
class VuoRendererDrawer
{
public:
	bool isOutput; ///< Is this drawer attached to an output port?
	vector<VuoRendererPort *> ports; ///< The ports this drawer contains.

	VuoRendererDrawer();
	VuoRendererDrawer(bool _isOutput, vector<VuoRendererPort *> _ports);

	unsigned int getMaxDrawerLabelWidth(void) const;
};

#endif // VUORENDERERDRAWER_HH
