/**
 * @file
 * VuoSceneObject C type definition.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#ifndef VUOSCENEOBJECT_H
#define VUOSCENEOBJECT_H

#include "VuoSceneVertices.h"

/// @{
typedef void * VuoList_VuoSceneObject;
/// @}

/**
 * @ingroup VuoTypes
 * @defgroup VuoSceneObject VuoSceneObject
 * A renderable 3D Object.
 *
 * @{
 */

/**
 * A renderable 3D Object.
 */
typedef struct VuoSceneObject
{
	/// @todo uniforms
	VuoSceneVertices vertices;
	/// @todo shaders

	VuoList_VuoSceneObject childObjects;
} VuoSceneObject;

VuoSceneObject VuoSceneObject_valueFromString(const char * initializer);
char * VuoSceneObject_stringFromValue(const VuoSceneObject value);
char * VuoSceneObject_summaryFromValue(const VuoSceneObject value);

/**
 * @}
 */

#endif
